Lisp display box

anyone know of a referance i can lookup to learn how to make a dialog box with lisp.
the ultimate goal would be to create a reactor of some sort that displays
the length of a line in a dialog box anytime a line/polyline is selected.
now before you start basing me i know that i can get this information from the properties dialog box, or the LIST command, but i find that i can save time when i wanna know the length of somehting by just looking at that information instead of entering an additional command to find it.
suggestions? [thinks to self: i hope i'm making myself clear ;{]
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
thanks for the info tom. all help is appreciated :)

box
displays
selected.
from
save
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload
This is a multi-part message in MIME format. --------------000002040205070004060506 Content-Type: text/plain; charset=us-ascii; format=flowed Content-Transfer-Encoding: 7bit

I hacked this together, using one of mine to start. Select an object and the layer name is displayed in the dialog. Nothing fancy, but hopefully it will help you a little, at least.
Re-post any questions you might have about it. Read the attached files with caution! They weren't intended to be a good example, or anything, just a quick example.
--------------000002040205070004060506 Content-Type: text/plain; name="dclsample.dcl" Content-Transfer-Encoding: 7bit Content-Disposition: inline; filename="dclsample.dcl"
sample : dialog { label = "Sample Dialog"; : text { key = "labela"; label = "Layer"; } : text { key = "valuea"; } ok_cancel; } --------------000002040205070004060506 Content-Type: text/plain; name="dclsample.lsp" Content-Transfer-Encoding: 7bit Content-Disposition: inline; filename="dclsample.lsp"
(defun C:SAMPLE ( / ) (setq esl (entsel "\nSelect object: ")) (if esl (progn (setq laynam (cdr (assoc 8 (entget (car esl))))) (setq dclid (load_dialog "p:/cad/su2/dclsample.dcl")) (if (not (new_dialog "sample" dclid)) (exit) (progn ;initialize tiles (set_tile "valuea" laynam) ;define action-callback(s) (setq whtnxt (start_dialog)) (cond ((= whtnxt 1) (unload_dialog dclid) (princ "\n...User pressed OK") );ok ((= whtnxt 0)      (unload_dialog dclid) (princ "\n...Cancelled by user") );ok );cond );progn );if ));progn, if (command "REDRAW") (princ) );defun
--------------000002040205070004060506--
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.